\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}

\usepackage[table]{xcolor}
\usepackage{natbib}
\usepackage{graphicx}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amsthm}
\usepackage{mathtools}
\let\olddiv\div
\usepackage{physics}
\usepackage{tikz}
\usepackage{pgfplots}
%\usepackage{wrapfig}.
\usepackage[makeroom]{cancel}
\usepackage{multicol}
%\usepackage{mathtools}
%\usepackage{eurosym}
\usepackage{float}
\usepackage{lmodern,textcomp} %simboli, ad esmpio €
%\DeclarePairedDelimiter\ev{\langle}{\rangle}

%==========================================================
%Commenti (1 per tenere i commenti, 0 per toglierli)
\usepackage{comment}

\newcommand{\keepcomment}{1}% Keep comment
%\newcommand{\keepcomment}{0}% Remove comment

\AtBeginDocument{\ifnum\keepcomment=1
	\excludecomment{comment}
	\else
	\includecomment{comment}
	\fi}
%==========================================================

%\usetikzlibrary{decorations.pathreplacing}
\usetikzlibrary{arrows,calc,patterns}
%\usetikzlibrary{shapes.geometric}
\usetikzlibrary{decorations.fractals}
\usetikzlibrary{lindenmayersystems}


\pgfplotsset{width=6cm,compat=1.9}

\newtheorem{theorem}{Teorema}[section]
\newtheorem{corollary}{Corollary}[theorem]
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{remark}{Remark}[section]
\theoremstyle{definition}
\newtheorem{definition}{Definizione}[section]
\newtheorem{osservazione}{Osservazione}[section]
\newtheorem{esempio}{Esempio}[section]

%Immagine pgf
\usepackage{pgf}
\usepackage[utf8]{inputenc}\DeclareUnicodeCharacter{2212}{-}
\usepackage{import}

\usepackage{hyperref}

%frecce
\NewDocumentCommand{\xrightarrows}{ O{}O{} }{%
	\mathrel{%
		\vcenter{\hbox{%
				\begin{tikzpicture}
				\node[minimum width=0.25cm,minimum height=1ex,anchor=south,align=center] (a){\text{\vphantom{hg}#1}\\[0.5ex] \vphantom{hg}#2};
				\draw[->] ([yshift=0.35ex]a.west) -- ([yshift=0.35ex]a.east);
				\draw[<-] ([yshift=-0.35ex]a.west) -- ([yshift=-0.35ex]a.east);
				\end{tikzpicture}
		}}%
	}%
}

%Nuovi comandi
\newcommand{\p}{\partial}
\newcommand{\ra}{\rightarrow}
\newcommand{\la}{\leftarrow}
\newcommand{\lra}{\leftrightarrow}
\newcommand{\Ra}{\Rightarrow}
\newcommand{\La}{\Leftarrow}

\newcommand{\cov}{\text{cov}}

%Comandi dirnominati
\renewcommand{\d}{\,d}	%al posto di underaccent
\renewcommand{\H}{\mathcal{H}}


%Tikz Flowcharts
\usetikzlibrary{shapes.geometric, arrows}
\tikzstyle{startstop} = [rectangle, rounded corners, minimum width=3cm, minimum height=1cm,text centered, draw=black, fill=red!30]
\tikzstyle{io} = [trapezium, trapezium left angle=70, trapezium right angle=110, minimum width=3cm, minimum height=1cm, text centered, draw=black, fill=blue!30]
\tikzstyle{process} = [rectangle, minimum width=3cm, minimum height=1cm, text centered, draw=black, fill=orange!30]
\tikzstyle{decision} = [diamond, minimum width=3cm, minimum height=1cm, text centered, draw=black, fill=green!30]
\tikzstyle{arrow} = [thick,->,>=stealth]

%Funzione degli errori
\DeclareMathOperator\erffunc{erf}
\DeclareMathOperator*\aclim{ac-lim}
\DeclareMathOperator*\mslim{ms-lim}
\DeclareMathOperator*\plim{p-lim}


